##############################
#                            #
# Ansible / Tower managed on #
#                            #
##############################

[Unit]
Description=ApacheDS LDAP instance: {{ install_apacheds__instance.name }}

[Service]
User={{ install_apacheds.system_user }}
Group={{ install_apacheds.system_group }}
Wants=network-online.target
After=network.target network-online.target
Type=forking
RuntimeDirectory=apacheds
RuntimeDirectoryMode=770
WorkingDirectory={{ install_apacheds.install_dir }}/bin/
ExecStart={{ install_apacheds.install_dir }}/bin/apacheds.sh {{ install_apacheds__instance.name }} start
ExecStop={{ install_apacheds.install_dir }}/bin/apacheds.sh {{ install_apacheds__instance.name }} stop
ExecReload={{ install_apacheds.install_dir }}/bin/apacheds.sh {{ install_apacheds__instance.name }} restart
RemainAfterExit=no
Restart=on-failure
LimitNOFILE=60000
TimeoutSec=600

[Install]
WantedBy=multi-user.target

[Service]
Environment="JAVA_OPTS=-Xms{{ install_apacheds__instance.jvm_heap }} -Xmx{{ install_apacheds__instance.jvm_heap }}"

